Subject: bug#11235: automake build fails: "Can't locate Locale/gettext.pm"

From: Stefano Lattarini <[email-masked]>
Date: Fri, 13 Apr 2012 18:13:35 +0200

Hi Jim, thanks for the quick reply.

On 04/13/2012 06:00 PM, Jim Meyering wrote:
> Stefano Lattarini wrote:
>> On a Fedora 16 system (the ppc64 one provided by the GCC compile farm,
>> "gcc110"), when I try to build automake from a distribution tarball, I
>> get this error:
>>
>>     GEN      doc/aclocal.1
>>     GEN      automake
>>     GEN      doc/automake.1
>>     GEN      aclocal
>>     GEN      lib/Automake/Config.pm
>>     GEN      doc/aclocal-1.11c.1
>>   Can't locate Locale/gettext.pm in @INC [...] at ./doc/help2man line 29.
>>   BEGIN failed--compilation aborted at ./doc/help2man line 29.
>>   make: *** [doc/aclocal-1.11c.1] Error 2
>>   make: *** Waiting for unfinished jobs....
>>
>> This is clearly caused by commit 'v1.11b-17-gda0f9ab', "build: generate
>> doc/*.1 files; include help2man".
>>
>> Jim, any idea on which is the best way to fix this?  Should we downgrade
>> the bundled help2man further?  Or should we patch it?  Or what else?
> 
> Hi Stefano,
> 
> I'm glad you noticed that.  I've attached a proposed fix.
> Going back just one release brings us to a script that does
> not require that "use" (hard-require) that module.
> 
> I've Cc'd the help2man bug-reporting list.
>
Note that this help2man issue has probably already been solved in
the meantime -- the help2man version 1.40.6 installed on that
Fedora system seems to work without error.

> From e93e39c1e07597f8644e9539f8c5daaa47c054e3 Mon Sep 17 00:00:00 2001
> From: Jim Meyering <[email-masked]>
> Date: Fri, 13 Apr 2012 17:58:04 +0200
> Subject: [PATCH] build: use slightly older help2man, for improved portability
> 
> * doc/help2man: Downgrade to help2man-1.36.4, so that it does
> not require Locale/gettext.pm, which is not available on a
> default Fedora 16 installation.  Reported by Stefano Lattarini.
>
Could you please reference the bug number here as well?  As in:

  Subject: [PATCH] build: use slightly older help2man, for improved portability

  Fixes automake bug#11235

  * doc/help2man: Downgrade to help2man-1.36.4, so that it does
  not require Locale/gettext.pm, which is not available on a
  default Fedora 16 installation.

ACK with that addressed.

Thanks,
  Stefano